Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.dr3d
Enum OdfTextureKindType

    java.lang.Object
      java.lang.Enum<OdfTextureKindType>
          org.odftoolkit.odfdom.dom.type.dr3d.OdfTextureKindType

All Implemented Interfaces:
  Serializable, Comparable<OdfTextureKindType>

    public enum OdfTextureKindType

extends Enum<OdfTextureKindType>

DOM implementation of OpenDocument attribute dr3d:texture-kind.

Enum Constant Summary
`COLOR`
`INTENSITY`
`LUMINANCE`

Method Summary
`static OdfTextureKindType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTextureKindType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTextureKindType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTextureKindType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INTENSITY

    public static final OdfTextureKindType INTENSITY

### LUMINANCE

    public static final OdfTextureKindType LUMINANCE

### COLOR

    public static final OdfTextureKindType COLOR

Method Detail

### values

    public static OdfTextureKindType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTextureKindType c : OdfTextureKindType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTextureKindType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTextureKindType>`
  Returns:
    return the name of OdfTextureKindType

### toString

    public static String toString(OdfTextureKindType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTextureKindType, see dr3d:texture-kind
  Returns:
    return the name of OdfTextureKindType

### enumValueOf

    public static OdfTextureKindType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTextureKindType
  Returns:
    return the constant of OdfTextureKindType, see dr3d:texture-kind

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.